%global libmajor 0

Summary:       ALSA driver C++ access library
Name:          zita-alsa-pcmi
Version:       0.2.0
Release:       0.1%{?dist}
License:       GPLv3+
Group:         System Environment/Libraries
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%ifarch x86_64
%define mark64 ()(64bit)
%endif
Provides:      libzita-alsa-pcmi.so.0%{?mark64}

BuildRequires: alsa-lib-devel

%description
%{name} is the successor of clalsadrv. It provides easy access
to ALSA PCM devices, taking care of the many functions required to
open, initialise and use a hw: device in mmap mode, and providing
floating point audio data. 

%package  devel
Summary:       ALSA driver C++ access library
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
%{name} is the successor of clalsadrv. It provides easy access
to ALSA PCM devices. This package contains libraries and header
files for developing applications that use %{name}.

%prep
%setup -q

# No need to call ldconfig during packaging
sed -i '\|ldconfig|d' libs/Makefile

# Preserve timestamps
sed -i 's|install |install -p |' libs/Makefile

# Force Fedora's optflags
sed -i 's|-march=native|%{optflags}|' libs/Makefile

%build
make -C libs PREFIX=%{_prefix} %{?_smp_mflags}

%install
make -C libs DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_lib} install
# create .so.x link
ln -sf lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so.%{libmajor}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%changelog
* Wed Aug  7 2013 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.2.0-0.1
- first release, based on zita-resample spec file from Fedora (thanks
  to Brendan Jones). 
